Bug 157456 - CAN-2005-1519 DNS lookups unreliable on untrusted networks
CAN-2005-1519 DNS lookups unreliable on untrusted networks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
impact=low,public=20050511,source=ven...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-11 14:43 EDT by Josh Bressers
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 15:17:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-11 14:43:00 EDT
+++ This bug was initially created as a clone of Bug #157455 +++

Malicious users may spoof DNS lookups if the DNS client UDP port (random,
assigned by OS at startup) is unfiltered and your network is not protected from
IP spoofing.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-dns_query
Comment 1 Jay Fenlason 2005-05-11 19:48:29 EDT
This bug also affects FC3 

Note You need to log in before you can comment on or make changes to this bug.